Eclipse GEF 3.3

## org.eclipse.gef.ui.actions
Class PrintAction

    java.lang.Object
      org.eclipse.gef.ui.actions.WorkbenchPartAction
          org.eclipse.gef.ui.actions.PrintAction

public class PrintAction
extends WorkbenchPartAction

Since:
  2.1

Constructor Summary
`PrintAction(IWorkbenchPart part)` Constructor for PrintAction.

Method Summary
`protected boolean` `calculateEnabled()` Calculates and returns the enabled state of this action.
`protected void` `init()` Initializes this action.
`void` `run()`

Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction
`dispose, execute, getCommandStack, getWorkbenchPart, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintAction

    public PrintAction(IWorkbenchPart part)

  Constructor for PrintAction.

Parameters:
  `part` - The workbench part associated with this PrintAction

Method Detail

### calculateEnabled

    protected boolean calculateEnabled()

  Description copied from class: `WorkbenchPartAction`
  Calculates and returns the enabled state of this action.

  Specified by:
    `calculateEnabled` in class `WorkbenchPartAction`
  Returns:
    `true` if the action is enabled
  See Also:
    `WorkbenchPartAction.calculateEnabled()`

### init

    protected void init()

  Description copied from class: `WorkbenchPartAction`
  Initializes this action.

  Overrides:
    `init` in class `WorkbenchPartAction`
  See Also:
    `WorkbenchPartAction.init()`

### run

    public void run()

  See Also:
    `Action.run()`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.